using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/BlackFriends_Delete.aspx文件
    /// </summary>
    public class 编译扩展_Club_Board_Black_Delete : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Board_Black_Delete(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"

	private int 版块ID;
	private String 版块名称;
	private DataSet 论坛版主;
	private void 获取论坛版主()
	{
		论坛版主=new DataSet();
		SqlCommand 语句=new SqlCommand(""SELECT * FROM [""+程序.数据表前缀+""社区_论坛_版主] WHERE [所属版块]=""+版块ID+"" ORDER BY [创建时间]"",访问.连接);
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(论坛版主,""论坛版主"");
	}
	private bool 是否版主()
	{
		if(论坛版主==null)
			获取论坛版主();
		bool 返回值=false;
		for(int i=0;i<论坛版主.Tables[0].Rows.Count;i++)
			if(Convert.ToInt32(论坛版主.Tables[0].Rows[i][""版主ID""])==Convert.ToInt32(访问.用户[""ID""]))
				返回值=true;
		return 返回值;
	}
	private void 删除黑名单()
	{
		int ID=Convert.ToInt32(Request.QueryString[""ID""]);
		SqlCommand 语句=new SqlCommand(""DELETE FROM [""+程序.数据表前缀+""社区_论坛_黑名单] WHERE [版块ID]=""+版块ID+"" AND [ID]=""+ID,访问.连接);
		语句.ExecuteNonQuery();
	}
";
            String 返回值 = "";
            返回值 += @"
	访问.验证会员();
	版块ID=Convert.ToInt32(Request.QueryString[""BID""]);
	版块名称=常用.获取版块名称(版块ID);
	if(!是否版主())
		throw new Exception(""此页面只允许版主访问"");
	删除黑名单();
";
            return 返回值;
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "版块ID":
                    return @"
		返回值.Append(版块ID);
";
                case "版块名称":
                    return @"
		返回值.Append(Server.HtmlEncode(版块名称));
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}